Skip to main content
GET
/
api
/
v1
/
brief-forms
/
resolve
Resolve Form
curl --request GET \
  --url https://api.example.com/api/v1/brief-forms/resolve \
  --header 'Authorization: Bearer <token>'
{
  "form": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "schema_json": {},
    "ui_schema_json": {},
    "source_type": "<string>",
    "status": "<string>",
    "is_template": true,
    "current_version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "field_count": 0
  },
  "assignment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "form_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "category": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "form_version": 123,
    "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "task_type": "<string>"
  },
  "source": "none"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
string
required
task_type
string | null
team_id
string<uuid> | null

Response

Successful Response

Result of form resolution — the form to use for task creation.

form
BriefFormDetailResponse · object

Full form detail including schema.

assignment
BriefFormAssignmentResponse · object

An assignment linking a form to a task type.

source
string
default:none

Where the form came from: team_task_type, team_category, account_task_type, account_category, none